Skip to main content

createOrUpdateVulnerabilityTemplate

Create or update vulnerability template

createOrUpdateVulnerabilityTemplate(
input: CreateOrUpdateVulnerabilityTemplateInput!
): CreateOrUpdateVulnerabilityTemplatePayload

Arguments​

createOrUpdateVulnerabilityTemplate.input ● CreateOrUpdateVulnerabilityTemplateInput! non-null input​

Parameters for CreateOrUpdateVulnerabilityTemplate

Type​

CreateOrUpdateVulnerabilityTemplatePayload object​

Autogenerated return type of CreateOrUpdateVulnerabilityTemplate.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateVulnerabilityTemplate($input: CreateOrUpdateVulnerabilityTemplateInput!) {\n createOrUpdateVulnerabilityTemplate(input: $input) { clientMutationId vulnerabilityTemplate { id title categoryList } }\n}","variables":{"input":{"companyId":"<company_id>","title":"example","description":"example","reference":"example","solution":"example","impact":"example","probability":"example","categories":["example"],"patterns":["example"]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute